# RSL_fractional_area_of_sweep

### Synopsis

#include "rsl.h"
float RSL_fractional_area_of_sweep(Sweep *s, float lo, float hi, float min_rng, float max_rng);

###

Description

Computes the fractional area, of dBz values, between lo and hi, from min_rng to max_rng. This is the fractional area of the 360 degrees. The algorithm used is to compute conic volumes based on beam width and range of the pixels. The routine RSL_area_of_ray computes these volumes. The name of that routine is unfortunate.

### Return value

Upon successful completion, a pointer to the appropriate structure is returned. Otherwise, NULL is returned.

### See also

RSL_area_of_ray, RSL_fraction_of_sweep.

Author: John H. Merritt